Subject: Re: SA1100 kernel booting problem.

From: Nicolas Pitre <[email-masked]>
Date: Fri, 11 Aug 2000 14:43:24 -0400 (EDT)

On Fri, 4 Aug 2000, James Alford wrote:

> I am trying to get the Intel StrongARM SA1100 Multimedia Development Board
> working with a linux kernel. It is unfortunatly not a Brutus (or Assabet).
> 
> I can get the 2.2.14-rmk5-np17 kernel up but it crashes at 
> "POSIX conformance teting by UNIFIX"
> This is probably due to the fact that the kernel is built for a Brutus. I
> have not yet started to edit the arch specfic bits yet.

This is most likely because the memory declaration is wrong for your
board.

> My problem is that with 2.4.0-test5-rmk1-np1. I can't get the kernel to
> start. The head stuff starts ok and decompresses the kernel outputing the
> line
> 
> "Uncompressing Linux........................ done, botting the kernel."
> 
> It just stops there, it does not seem to step into the uncompressed
> kernel. I think that the 2.5-test5 head stuff is working as it will boot
> the 2.2.14 kernel.

The uncompressed kernel expects some specific values to be passed in r0/r1
registers by the bootloader.  In the 2.2.x kernels those values were
bolted into the code because they were the same for all SA1100 designs.

See linux/Documentation/arm/README.txt (near the end) for details.

Nicolas

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]